Subject: Re: [PATCH -next-20080709] fixup stop_machine use cpu mask vs ftrace

From: Ingo Molnar <[email-masked]>
Date: Fri, 11 Jul 2008 10:55:34 +0200

* Ingo Molnar <[email-masked]> wrote:

> 
> * Milton Miller <[email-masked]> wrote:
> 
> > Hi Rusty, Ingo.
> > 
> > Rusty's patch [PATCH 3/3] stop_machine: use cpu mask rather than magic 
> > numbers didn't find kernel/trace/ftrace.c in -next, causing an 
> > immediate almost NULL pointer dereference in ftrace_dynamic_init.
> 
> Rusty - what's going on here? Please do not change APIs like that, 
> which cause code to crash. Either do a compatible API change, or 
> change it over in a way that causes clear build failures, not crashes.

ah, i see it from Rusty's other reply that there's going to be another 
version of this. Good :-)

	Ingo